

#include "BUILTIN.h"

#include "Nat.h"

#include "ProcessMonitor.h"
extern OBJ _AProcessMonitor_Amonitor(OBJ,OBJ,OBJ,OBJ);OBJ __AProcessMonitor_Amonitor; /* monitor */
extern OBJ _AProcessMonitor_AmonitorForce(OBJ,OBJ);OBJ __AProcessMonitor_AmonitorForce; /* monitorForce */

#include "ProcessMonitor.hc.c"

static OBJ _mt_2_0_2(OBJ t,OBJ t1,OBJ t2) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ))ENTRY(t))(t1,t2);
 return r;}

static OBJ _mt_4_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4);
 return r;}

init_AProcessMonitor()
{
 static int visited=0; if(visited) return; visited=1;
 init_ACom();
 init_AProcessConnect();
 init_AVoid();
 init_AOption();
 init_ANat();
 init_ASeq();
 CLS(2,_AProcessMonitor_5,__AProcessMonitor_5);
 CLS(4,_AProcessMonitor_4,__AProcessMonitor_4);
 MTH(2,0,2,_mt_2_0_2);LZYMTH(2,0,2,_mt_2_0_2);
 MTH(4,0,4,_mt_4_0_4);LZYMTH(4,0,4,_mt_4_0_4);
 init_const_AProcessMonitor();}

